New paste Repaste Download
0ad
CMake issue:
```
CMake Error at CMakeLists.txt:1 (cmake_minimum_required):
   Compatibility with CMake < 3.5 has been removed from CMake.
   Update the VERSION argument <min> value.  Or, use the <min>...<max> syntax
   to tell CMake that the project requires at least <min> but has been updated
   to work with policies introduced by <max> or earlier.
   Or, add -DCMAKE_POLICY_VERSION_MINIMUM=3.5 to try configuring anyway.
```
Patch:
```
diff --git a/libraries/source/nvtt/build.sh b/libraries/source/nvtt/build.sh
index 4729973..1e8c670 100755
--- a/libraries/source/nvtt/build.sh
+++ b/libraries/source/nvtt/build.sh
@@ -48,7 +48,7 @@ tar xf nvtt-${PV}.tar.xz
(
        cd nvtt-${PV}
        mkdir bin lib
-       ./build.sh
+       CMAKE_FLAGS="-DCMAKE_POLICY_VERSION_MINIMUM=3.5" ./build.sh
)
# install
```
gmake/gmake2 issue:
```
Premake args:  --with-lto --without-pch --bindir=/usr/bin --libdir=/usr/lib/0ad --datadir=/usr/share/0ad/data
** Warning: gmake2 has been renamed to gmake. Use gmake to generate makefiles instead.
Premake action 'gmake' is no longer supported by pyrogenesis, use 'gmake2'
Example: 'premake5 --file=build/premake/premake5.lua gmake2'
ERROR: Premake failed
```
Patch (more like a bypass I guess):
```
diff --git a/build/premake/premake5.lua b/build/premake/premake5.lua
index b714834..6301ce0 100644
--- a/build/premake/premake5.lua
+++ b/build/premake/premake5.lua
@@ -27,12 +27,6 @@ newoption { trigger = "bindir", description = "Directory for executables (typica
newoption { trigger = "datadir", description = "Directory for data files (typically '/usr/share/games/0ad'); default is ../data/ relative to executable" }
newoption { trigger = "libdir", description = "Directory for libraries (typically '/usr/lib/games/0ad'); default is ./ relative to executable" }
-if _ACTION == "gmake" then
-       print("Premake action 'gmake' is no longer supported by pyrogenesis, use 'gmake2'")
-       print("Example: 'premake5 --file=build/premake/premake5.lua gmake2'")
-       os.exit(1)
-end
-
-- On Windows check if wxWidgets is available, if not disable atlas and emit warning.
-- This is because there are currently not prebuilt binaries provided.
if not _OPTIONS["without-atlas"] and os.istarget("windows") then
diff --git a/build/workspaces/update-workspaces.sh b/build/workspaces/update-workspaces.sh
index fe3da6a..2c76707 100755
--- a/build/workspaces/update-workspaces.sh
+++ b/build/workspaces/update-workspaces.sh
@@ -53,10 +53,10 @@ export HOSTTYPE="$HOSTTYPE"
echo "Premake args: ${premake_args}"
if [ "$OS" != "Darwin" ]; then
        # shellcheck disable=SC2086
-       ${premake_command} --file="premake5.lua" --outpath="../workspaces/gcc/" ${premake_args} gmake2 || die "Premake failed"
+       ${premake_command} --file="premake5.lua" --outpath="../workspaces/gcc/" ${premake_args} gmake || die "Premake failed"
else
        # shellcheck disable=SC2086
-       ${premake_command} --file="premake5.lua" --outpath="../workspaces/gcc/" --macosx-version-min="${MIN_OSX_VERSION}" ${premake_args} gmake2 || die "Premake failed"
+       ${premake_command} --file="premake5.lua" --outpath="../workspaces/gcc/" --macosx-version-min="${MIN_OSX_VERSION}" ${premake_args} gmake || die "Premake failed"
        # Also generate xcode workspaces if on OS X
        # shellcheck disable=SC2086
        ${premake_command} --file="premake5.lua" --outpath="../workspaces/xcode4" --macosx-version-min="${MIN_OSX_VERSION}" ${premake_args} xcode4 || die "Premake failed"
```
Make issue:
```
Creating obj/test_Release
make[1]: *** No rule to make target 'generated/test_root.cpp', needed by 'obj/test_Release/test_root.o'.  Stop.
make[1]: *** Waiting for unfinished jobs....
make: *** [Makefile:190: test] Error 2
make: *** Waiting for unfinished jobs....
Linking pyrogenesis
```
Patch:
¯⁠\⁠_⁠ʘ⁠‿⁠ʘ⁠_⁠/⁠¯ (didn't investigate)
Filename: None. Size: 4kb. View raw, , hex, or download this file.

This paste expires on 2025-05-24 10:43:33.664450. Pasted through web.